---
title: "Release v0.1.1"
linkTitle: "Release v0.1.1"
date: 2020-06-24
description: >
  Release v0.1.1
---

## Changelog since v0.1.0

### Notable Changes

No notable changes for this release

### Internal Changes
* Release v0.1.1 ([#179](https://github.com/pipe-cd/pipecd/pull/179))
* Add some counter metrics to livestatestore and cloudprovider ([#178](https://github.com/pipe-cd/pipecd/pull/178))
* Simplify metrics by using pure prometheus instead of opencensus ([#177](https://github.com/pipe-cd/pipecd/pull/177))
* Implement piped list ([#176](https://github.com/pipe-cd/pipecd/pull/176))
* Refactor components that related to deployemnt ([#175](https://github.com/pipe-cd/pipecd/pull/175))
*  Implement add application form ([#169](https://github.com/pipe-cd/pipecd/pull/169))
* Fix storybook stories ([#170](https://github.com/pipe-cd/pipecd/pull/170))
* Update README ([#167](https://github.com/pipe-cd/pipecd/pull/167))
* Implement piped api call and module ([#164](https://github.com/pipe-cd/pipecd/pull/164))
* Start sending real metrics data to control-plane ([#162](https://github.com/pipe-cd/pipecd/pull/162))
* Implement listing and getting piped for web ([#159](https://github.com/pipe-cd/pipecd/pull/159))
* Update README ([#160](https://github.com/pipe-cd/pipecd/pull/160))
* Add stats reporter component ([#158](https://github.com/pipe-cd/pipecd/pull/158))
* Fetch environments on startup ([#157](https://github.com/pipe-cd/pipecd/pull/157))
* Refactor kubernetes executors ([#156](https://github.com/pipe-cd/pipecd/pull/156))
* Apply base design to deployment item ([#155](https://github.com/pipe-cd/pipecd/pull/155))
* Add eslint ([#154](https://github.com/pipe-cd/pipecd/pull/154))
* Fix type errors ([#153](https://github.com/pipe-cd/pipecd/pull/153))
* Fix wrong parameter order while updating deployment to be planned ([#140](https://github.com/pipe-cd/pipecd/pull/140))
* Determine and store application version ([#136](https://github.com/pipe-cd/pipecd/pull/136))
* Fix a crash bug because of closing a closed channel ([#137](https://github.com/pipe-cd/pipecd/pull/137))
* Refactored helm templates ([#133](https://github.com/pipe-cd/pipecd/pull/133))
* Fix a bug that causes livestatestore returning a list of same nodes ([#134](https://github.com/pipe-cd/pipecd/pull/134))
* Fix a bug that causes driftdetector generates a wrong message ([#132](https://github.com/pipe-cd/pipecd/pull/132))
* Add implementation for baseline executor ([#129](https://github.com/pipe-cd/pipecd/pull/129))
* Log the details of applied manifests ([#127](https://github.com/pipe-cd/pipecd/pull/127))
* Make error log easier to read ([#126](https://github.com/pipe-cd/pipecd/pull/126))
* Refactor kubernetes executors ([#122](https://github.com/pipe-cd/pipecd/pull/122))
* Change the format and the way to generate piped key ([#121](https://github.com/pipe-cd/pipecd/pull/121))
* Fix a bug that causes piped did not report the most recently successful deployment ([#120](https://github.com/pipe-cd/pipecd/pull/120))
* Fix wrong validator for completed_at field in ApplicationDeploymentReference ([#119](https://github.com/pipe-cd/pipecd/pull/119))
* Log the error of reporting most recently deployment ([#118](https://github.com/pipe-cd/pipecd/pull/118))
* Add log unary interceptor ([#117](https://github.com/pipe-cd/pipecd/pull/117))
* Limit the size of drift reason ([#116](https://github.com/pipe-cd/pipecd/pull/116))
* Redact sensitive data from diff result ([#115](https://github.com/pipe-cd/pipecd/pull/115))
* Update driftdetector to compare only files appearing in the manifest files ([#114](https://github.com/pipe-cd/pipecd/pull/114))
* Add metadata about approver to WaitApprover stage ([#113](https://github.com/pipe-cd/pipecd/pull/113))
* Simplify the way to get most recent deployment ([#112](https://github.com/pipe-cd/pipecd/pull/112))
* Simplify the way to get most recent deployment ([#112](https://github.com/pipe-cd/pipecd/pull/112))
* Add most recently triggered deployment reference to application model ([#111](https://github.com/pipe-cd/pipecd/pull/111))
* Report most recently successful deployment ([#110](https://github.com/pipe-cd/pipecd/pull/110))
* Enable jwt-auth-interceptor for web grpc with a temporarily fixed claims ([#108](https://github.com/pipe-cd/pipecd/pull/108))
* Add icon to show log severity on log view ([#106](https://github.com/pipe-cd/pipecd/pull/106))
* Fetch application instead of applications on application detail page ([#107](https://github.com/pipe-cd/pipecd/pull/107))
* Create piped register form ([#104](https://github.com/pipe-cd/pipecd/pull/104))
* Added ingress resources ([#100](https://github.com/pipe-cd/pipecd/pull/100))
* Implement getting application in web api ([#103](https://github.com/pipe-cd/pipecd/pull/103))
* Return generated piped id ([#102](https://github.com/pipe-cd/pipecd/pull/102))
* Add configured repoIDs to piped meta ([#101](https://github.com/pipe-cd/pipecd/pull/101))
* Fetch deployment and application data periodically ([#99](https://github.com/pipe-cd/pipecd/pull/99))
* Add ability to trigger new deployment by app sync command ([#98](https://github.com/pipe-cd/pipecd/pull/98))
* Implement adding new environment ([#97](https://github.com/pipe-cd/pipecd/pull/97))
* Add ability to cancel deployment at any status ([#96](https://github.com/pipe-cd/pipecd/pull/96))
* Support namespace, includeResources and excludeResources in kubernetes cloud provider ([#95](https://github.com/pipe-cd/pipecd/pull/95))
* Fix wrong license note in dockers/static ([#94](https://github.com/pipe-cd/pipecd/pull/94))
* Fix the bug that statestore was ignoring depended resources whose PipeID annotation is empty ([#93](https://github.com/pipe-cd/pipecd/pull/93))
* Add layout for kubernetes resources at detail page ([#92](https://github.com/pipe-cd/pipecd/pull/92))
* Move cacheAddress config to server flag ([#90](https://github.com/pipe-cd/pipecd/pull/90))
* Fix the bug that caused piped was unable to send AppLiveState because of missing version ([#89](https://github.com/pipe-cd/pipecd/pull/89))
* Fix some stage logs to be begin with upper case letter ([#88](https://github.com/pipe-cd/pipecd/pull/88))
* Remove duplicate field in helm default value ([#87](https://github.com/pipe-cd/pipecd/pull/87))
* Implement getting most recent deployment api ([#85](https://github.com/pipe-cd/pipecd/pull/85))
* Update ListUnhandledCommands rpc to return an empty list instead of Unimplemented error ([#84](https://github.com/pipe-cd/pipecd/pull/84))
* Move projectID, pipedID to piped configuration and ignore all resources which are not handled by running piped ([#83](https://github.com/pipe-cd/pipecd/pull/83))
* Change the IDs of env and app to be randomly generated strings ([#82](https://github.com/pipe-cd/pipecd/pull/82))
* Fix wrong envoy route config for piped-api cluster ([#80](https://github.com/pipe-cd/pipecd/pull/80))
* Implement reporting piped metadata ([#79](https://github.com/pipe-cd/pipecd/pull/79))
* Show kubernetes resources at application detail page ([#78](https://github.com/pipe-cd/pipecd/pull/78))
* Refactor application detail components ([#76](https://github.com/pipe-cd/pipecd/pull/76))
* Application list ([#75](https://github.com/pipe-cd/pipecd/pull/75))
* Modify firestore root collection name ([#72](https://github.com/pipe-cd/pipecd/pull/72))
* Use piped context to list applications ([#74](https://github.com/pipe-cd/pipecd/pull/74))
* Add a temporary implementation for ReportPipedMeta ([#73](https://github.com/pipe-cd/pipecd/pull/73))
* Support authentication for sample client of piped api ([#71](https://github.com/pipe-cd/pipecd/pull/71))
* Remove dev-config.yaml from testdata ([#70](https://github.com/pipe-cd/pipecd/pull/70))
* Fix wrong route config for piped cluster ([#45](https://github.com/pipe-cd/pipecd/pull/45))
* Create log viewer component for showing pipeline stage log ([#43](https://github.com/pipe-cd/pipecd/pull/43))
* Implement updating most recent successful deployment in application ([#30](https://github.com/pipe-cd/pipecd/pull/30))
* Implement updating application sync state ([#29](https://github.com/pipe-cd/pipecd/pull/29))
* Implement persisting application live state ([#24](https://github.com/pipe-cd/pipecd/pull/24))
* Implement adding piped and generating key ([#25](https://github.com/pipe-cd/pipecd/pull/25))
* Change piped model to store Hash value of Key instead of raw value ([#23](https://github.com/pipe-cd/pipecd/pull/23))
* Enable piped authentication ([#21](https://github.com/pipe-cd/pipecd/pull/21))
* Update project model and configuration ([#20](https://github.com/pipe-cd/pipecd/pull/20))
* Fix expose-generated-go script because the locations of generated proto-go files were changed ([#19](https://github.com/pipe-cd/pipecd/pull/19))
* Fetch log data if click a pipeline stage ([#18](https://github.com/pipe-cd/pipecd/pull/18))
* Modified ListApplications to use the project_id obtained from JWT claims ([#17](https://github.com/pipe-cd/pipecd/pull/17))
* Fix pipeline storybook ([#16](https://github.com/pipe-cd/pipecd/pull/16))
* Implement getting environments and adjust fake response data ([#15](https://github.com/pipe-cd/pipecd/pull/15))
* Restruct fake response of web api to fake api server ([#14](https://github.com/pipe-cd/pipecd/pull/14))
* Implement adding new application in web api ([#11](https://github.com/pipe-cd/pipecd/pull/11))
* Fix service ports in pipecd manifests ([#12](https://github.com/pipe-cd/pipecd/pull/12))
* Implement getting applications in web api and refactor samplecli ([#10](https://github.com/pipe-cd/pipecd/pull/10))
* Fix the application path in fakeclient ([#9](https://github.com/pipe-cd/pipecd/pull/9))
* Add configuration for quickstart guide ([#8](https://github.com/pipe-cd/pipecd/pull/8))
* Remove unused service account helper in site chart ([#7](https://github.com/pipe-cd/pipecd/pull/7))
* Fix wrong configuration for template plugin ([#6](https://github.com/pipe-cd/pipecd/pull/6))
* Add manifests for PipeCD site ([#5](https://github.com/pipe-cd/pipecd/pull/5))
* Update template plugin to render only Chart.yaml files ([#4](https://github.com/pipe-cd/pipecd/pull/4))
* Add images for site ([#3](https://github.com/pipe-cd/pipecd/pull/3))
