---
title: "Release v0.24.0"
linkTitle: "Release v0.24.0"
date: 2022-01-14
description: >
 Release v0.24.0
---

## Changelog since v0.23.0

### New Features

Label concept has been introduced. Labels are key/value pairs that are attached to PipeCD objects such as Application, Deployment. For application, its labels can be specified via `labels` field in the application configuration file. Labels are intended to be used to add identifying attributes of objects and it gives us more flexibility on grouping, filtering as well as managing access control in the future.

* Application Labels are now being displayed in application list and detail pages. ([#3011](https://github.com/pipe-cd/pipecd/pull/3011))
* Filtering deployments by Labels is now available ([#3000](https://github.com/pipe-cd/pipecd/pull/3000))
* Filtering applications by Labels is now available ([#2987](https://github.com/pipe-cd/pipecd/pull/2987))

### Deprecated Features

The environment concept has been deprecated. Please use Label instead.

* Disable the ability to add environment from control-plane ([#3049](https://github.com/pipe-cd/pipecd/pull/3049))
* Environment field has been removed from application registration form ([#3049](https://github.com/pipe-cd/pipecd/pull/3051))

The deployment configuration file has been deprecated. Please use Application configuration file instead, it has the same format but with some new fields such as `name`, `description`, and `labels`. By using this new config file, all application information can be stored and managed in your Git repository. Basically, a deployment configuration file can be migrated to be an application configuration file just by adding the missing fields, but you can also use this prepared [`pipectl`](https://pipecd.dev/docs/user-guide/command-line-tool//#migrating-deployment-configuration-files-to-application-configuration-files) command to migrate a bunch of your files seamlessly.

* The application description is now changeable via your application configuration file ([#3017](https://github.com/pipe-cd/pipecd/pull/3017))
* Disable changing app description via the web console ([#3026](https://github.com/pipe-cd/pipecd/pull/3026))

### Notable Changes

* Add a More button to fetch older deployments ([#2999](https://github.com/pipe-cd/pipecd/pull/2999))
* Fix a bug that the deployment pipeline gets invisible when having a long summary sentence. ([#3013](https://github.com/pipe-cd/pipecd/pull/3013))

### Internal Changes

* Add a pipectl command to migrate deployment configuration files to application configuration files ([#3048](https://github.com/pipe-cd/pipecd/pull/3048))
* Fix broken template of the root BUILD.bazel ([#3045](https://github.com/pipe-cd/pipecd/pull/3045))
* Re-enable code coverage plugin ([#3044](https://github.com/pipe-cd/pipecd/pull/3044))
* Change the name of go package to pipecd ([#3037](https://github.com/pipe-cd/pipecd/pull/3037))
* Temporarily disable coverage collection ([#3040](https://github.com/pipe-cd/pipecd/pull/3040))
* Temporarily disable coverage plugin ([#3038](https://github.com/pipe-cd/pipecd/pull/3038))
* Change the reserved label key for env ([#3036](https://github.com/pipe-cd/pipecd/pull/3036))
* Disable deployed by and running commit cols on small screen ([#3034](https://github.com/pipe-cd/pipecd/pull/3034))
* Rename pkg/app/api package to pkg/app/server ([#3029](https://github.com/pipe-cd/pipecd/pull/3029))
* Align deprecated tooltip ([#3035](https://github.com/pipe-cd/pipecd/pull/3035))
* Emphasize deprecated config fields in the doc ([#3028](https://github.com/pipe-cd/pipecd/pull/3028))
* Add mention that Env gets deprecated ([#3027](https://github.com/pipe-cd/pipecd/pull/3027))
* Remove pipe prefix from proto definition of model package ([#3023](https://github.com/pipe-cd/pipecd/pull/3023))
* Show label on the app detail and list page ([#3011](https://github.com/pipe-cd/pipecd/pull/3011))
* Put deprecated notes on the Environment tab ([#3022](https://github.com/pipe-cd/pipecd/pull/3022))
* Remove duplicate value in version details on application list page ([#3021](https://github.com/pipe-cd/pipecd/pull/3021))
* Simplify Piped installation flow in the quickstart guide ([#3020](https://github.com/pipe-cd/pipecd/pull/3020))
* Fix diff description and image ([#3018](https://github.com/pipe-cd/pipecd/pull/3018))
* Enable to register Environment as a label ([#3016](https://github.com/pipe-cd/pipecd/pull/3016))
* Suggest possible labels on the apps/deploys filter ([#3012](https://github.com/pipe-cd/pipecd/pull/3012))
* Use filestore as datastore RFC ([#2959](https://github.com/pipe-cd/pipecd/pull/2959))
* Add monthly update for January 2022 ([#3010](https://github.com/pipe-cd/pipecd/pull/3010))
* Change text shown on deployment/application labels filter ([#3005](https://github.com/pipe-cd/pipecd/pull/3005))
* Show labels specified in the query parameter ([#3003](https://github.com/pipe-cd/pipecd/pull/3003))
